Extending Qt Creator Manual | MimeMagicRuleMatcher

Extending Qt Creator Manual 4.7.1

# MimeMagicRuleMatcher Class

(Utils::Internal::MimeMagicRuleMatcher)

- List of all members, including inherited members

## Public Functions

| MimeMagicRuleMatcher(const int &mime, unsigned int priority = 65535)
void | addRule(const int &rule)
void | addRules(const int &rules)
int | magicRules() const
bool | matches(const int &data) const
int | mimetype() const
unsigned int | priority() const
bool | operator==(const Utils::Internal::MimeMagicRuleMatcher &other) const

## Member Function Documentation

### MimeMagicRuleMatcher::MimeMagicRuleMatcher(const int &mime, unsigned int priority = 65535)

Default constructs an instance of MimeMagicRuleMatcher.

### void MimeMagicRuleMatcher::addRule(const int &rule)

### void MimeMagicRuleMatcher::addRules(const int &rules)

### int MimeMagicRuleMatcher::magicRules() const

### bool MimeMagicRuleMatcher::matches(const int &data) const

### int MimeMagicRuleMatcher::mimetype() const

### unsigned int MimeMagicRuleMatcher::priority() const

### bool MimeMagicRuleMatcher::operator==(const Utils::Internal::MimeMagicRuleMatcher &other) const